Subject: Re: bug#5918: [dd] conv=sparse option

From: Samuel Thibault <[email-masked]>
Date: Sat, 10 Apr 2010 18:46:13 +0200

Pádraig Brady, le Sat 10 Apr 2010 16:33:07 +0100, a écrit :
> On 10/04/10 01:28, Heinrich Langos wrote:
> > a) "dd" will maintain an existing of=target file including the inode 
> >    number, thus respecting existing hard links. "cp" will depending 
> >    on the other options given (e.g. "-a") maintain or break existing 
> >    hard links to an existing target file.
> 
> I don't think that's possible as holes can only be created at the end of a file.
> Well I think NTFS supports punching holes in the "middle" but it's not common.

I believe there's demand for supporting punching holes in the middle
of files and it will eventually show up in Linux. For instance, the
combination of IDE TRIM support and virtualization can allow virtualized
guest to take as less disk space as possible in file-backed virtual
disks.

Samuel